---
layout: main
title: "CameraView"
---

# CameraView

CameraView is a well documented, high-level library that makes capturing pictures and videos easy,
addressing all of the common issues and needs and much more.

<p align="center">
  <img src="static/banner.png" vspace="10" width="100%">
</p>

- Fast & reliable
- Gestures support [[docs]](docs/gestures)
- Real-time filters [[docs]](docs/filters)
- Camera1 or Camera2 powered engine [[docs]](docs/previews)
- Frame processing support [[docs]](docs/frame-processing)
- Watermarks & animated overlays [[docs]](docs/watermarks-and-overlays)
- OpenGL powered preview [[docs]](docs/previews)
- Take high-quality content with `takePicture` and `takeVideo` [[docs]](docs/capturing-media)
- Take super-fast snapshots with `takePictureSnapshot` and `takeVideoSnapshot` [[docs]](docs/capturing-media)
- Smart sizing: create a `CameraView` of any size [[docs]](docs/preview-size)
- Control HDR, flash, zoom, white balance, exposure, location, grid drawing & more [[docs]](docs/controls)
- RAW pictures support [[docs]](docs/controls)
- Lightweight
- Works down to API level 15
- Well tested

### Get started

Get started with [install info](about/install), [quick setup](about/getting-started), or
start reading the in-depth [documentation](docs/camera-events).

### Older versions

This website contains documentation and informations about version 2.X.X of the library.
For older versions, please take a look at the v1 branch in the [project page](https://github.com/natario1/CameraView).
For migration guide, take a look at the [migration page](extra/v1-migration-guide).

### Support

If you like the project, use it with profit, and want to thank back, please consider [donating or
becoming a supporter](extra/donate).

